apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: {{ muninnode_name }}
  namespace: {{ namespace }}
rules:
- apiGroups:
{% if k8s_flavor == 'kubernetes' %}
  - policy
  resources:
  - podsecuritypolicies
{% else %}
  - security.openshift.io
  resources:
  - securitycontextconstraints
{% endif %}
  resourceNames:
  - hostaccess-{{ namespace }}-{{ muninnode_name }}
  verbs:
  - use
